<?php
namespace Modules\Conf_cores\Controllers;

use App\Controllers\BaseController;
use Modules\Conf_cores\Models\model_conf_cores;
use Store\DataHelper;

class Conf_cores extends BaseController {
	public function __construct() {
		$this->dataHelper				= new DataHelper;
		$this->model_conf_cores = new Model_conf_cores;
	}

	public function index() {
		$dados['id']         = 1;
		$dados['conf_cores'] = $this->model_conf_cores->alterar();
		$dados['logs']			 = $this->dataHelper->DH_getLogFile('conf_cores', '');

		$this->dataHelper->DH_actionRecord(1);
		$this->_cms('Modules\Conf_cores\Views\view_conf_cores_cadastrar', $dados);
	}

	public function alterando($id) {
		$this->model_conf_cores->alterando($id);
		$this->dataHelper->DH_createLogFile($id, $_POST, 'Alteração de cadastro', 'conf_cores', '');
		$this->dataHelper->DH_actionRecord($id);

		service('session')->set('msg', array('titulo' => 'Sucesso!', 'descricao' => 'Suas alterações foram salvas.', 'tipo' => 'success'));
		return redirect()->to(site_url(service('request')->uri->getSegment(1)));
	}
}